Increment
Contract Trial Bonus Distribution Record
POST
/
platformapi
/
chainup
/
open
/
futures
/
coupon
/
recordList
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/futures/coupon/recordList
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"page": "1",
"pageSize": "20"
}'
{
"code": "0",
"msg": "suc",
"data": {
"count": 111,
"mapList": [
{
"id": 119,
"sn": "SNMUPO4508339052",
"amount": "100.0",
"uid": 20300021,
"time": 1669089156000,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "100.0",
"status": 2,
"coin": "USDT"
},
{
"id": 120,
"sn": "SNMUPO4508339053",
"amount": "80.0",
"uid": 20300022,
"time": 1669089156001,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "80.0",
"status": 2,
"coin": "USDT"
}
]
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f29fbd2ae04ed9165624419bad68e9e0f3f29fbd
uid
string
User ID, separated by commas.
Example: 20321,123123,53112
timeStart
string
The start time for claiming the bonus,format: yyyy-MM-dd HH:mm:ss
Example: 2025-01-01 00:00:00
timeEnd
string
The end time for claiming the bonus,format: yyyy-MM-dd HH:mm:ss
Example: 2025-01-02 00:00:00
sn
string
Activity ID
Example: SNMHQD0470481517
status
string
status:1 Received 2 To be recovered 3 Recovered
Example: 2
page
string
requiredPagination parameters (page numbers)
Example: 1
pageSize
string
requiredPagination parameter (size per page)
Example: 20
Response
200 - application/json
code
string
Return code
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/futures/coupon/recordList
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"page": "1",
"pageSize": "20"
}'
{
"code": "0",
"msg": "suc",
"data": {
"count": 111,
"mapList": [
{
"id": 119,
"sn": "SNMUPO4508339052",
"amount": "100.0",
"uid": 20300021,
"time": 1669089156000,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "100.0",
"status": 2,
"coin": "USDT"
},
{
"id": 120,
"sn": "SNMUPO4508339053",
"amount": "80.0",
"uid": 20300022,
"time": 1669089156001,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "80.0",
"status": 2,
"coin": "USDT"
}
]
}
}